Bug 1002005 - Provide more informative error message and logs when there is no host which vm can run on.
Provide more informative error message and logs when there is no host which v...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Martin Sivák
Lukas Svaty
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 06:10 EDT by Ondra Machacek
Modified: 2016-02-10 15:14 EST (History)
9 users (show)

See Also:
Fixed In Version: is25
Doc Type: Enhancement
Doc Text:
Feature: The administrator will see a detailed report when a VM was not started for scheduling reasons. The report contains the filter that was responsible for removing each candidate host from the candidate list. Reason: Our users were confused when a complicated situation in the cluster prevented them from starting a VM. Result (if any): engine.log contains detailed information and the popup error dialog contains the detailed report as well.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen (187.41 KB, image/png)
2013-08-28 06:10 EDT, Ondra Machacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19213 None None None Never
oVirt gerrit 20932 None None None Never

  None (edit)
Description Ondra Machacek 2013-08-28 06:10:50 EDT
Created attachment 791292 [details]
screen

Description of problem:
Provide more informative error message and logs when there is no host which vm can run on.

Version-Release number of selected component (if applicable):
is11

How reproducible:
always

Steps to Reproduce:
1. Create new cluster policy and select only pin_to_host filter.
2. Assign this new cluster policy to your cluster with at least two hosts.
3. Create vm which is pinned to host1 and select 'do not allow migration'
4. Switch host1 to maintanence and host2 up.
5. Run vm.

Actual results:
popup 'Error while executing action:'

Expected results:
popup 'Error while executing action: There is no host suitable to run vm'

Additional info:
engine.log

2013-08-28 12:09:50,063 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (ajp-/127.0.0.1:8702-10) [2fc2bb36] Lock Acquired to object EngineLock [exclusiveLocks= key: 5aa817b9-ea94-4a88-a85c-5cc5cc9b3e99 value: VM
, sharedLocks= ]
2013-08-28 12:09:50,086 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp-/127.0.0.1:8702-10) [2fc2bb36] START, IsVmDuringInitiatingVDSCommand( vmId = 5aa817b9-ea94-4a88-a85c-5cc5cc9b3e99), log id: 5641ed98
2013-08-28 12:09:50,086 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp-/127.0.0.1:8702-10) [2fc2bb36] FINISH, IsVmDuringInitiatingVDSCommand, return: false, log id: 5641ed98
2013-08-28 12:09:50,090 WARN  [org.ovirt.engine.core.bll.RunVmCommand] (ajp-/127.0.0.1:8702-10) [2fc2bb36] CanDoAction of action RunVm failed. Reasons:VAR__ACTION__RUN,VAR__TYPE__VM
2013-08-28 12:09:50,090 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (ajp-/127.0.0.1:8702-10) [2fc2bb36] Lock freed to object EngineLock [exclusiveLocks= key: 5aa817b9-ea94-4a88-a85c-5cc5cc9b3e99 value: VM
, sharedLocks= ]
Comment 1 Doron Fediuck 2013-09-11 12:15:59 EDT
The way it will work is by aggregating the filters inputs and outputs,
and provide the whole list when there are no hosts to run on.
Comment 3 Itamar Heim 2014-01-21 17:31:02 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:31:05 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:33:57 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.